<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;
        }
        img {
            width: 300px;
        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <?php
    if (empty($_REQUEST["id"])) {
        echo("Sorry, you are not allowed to reach this page directly. Please go Back or click on the");
        exit();
    }

    $host = "webdev.iyaserver.com";
    $userid = "dent_guest";
    $userpw = "Acad276_Dev2Ex@m";
    $db = "dent_exam";

    $mysql = new mysqli($host, $userid, $userpw, $db);

    if ($mysql->connect_errno) {
        echo "db connection error: " . $mysql->connect_error;
        exit();
    }


    $sql = "
        SELECT name, price, manufacturer, system, type
        FROM devices, manufacturers, systems, types
        WHERE devices.device_id = " . $_REQUEST["id"] . "
        AND devices.manufacturer_id = manufacturers.manufacturer_id
        AND devices.system_id = systems.system_id
        AND devices.type_id = types.type_id";


    $results = $mysql->query($sql);

    if (!$results) {
        echo "<hr>Your SQL:<br>" . $sql . "<br><br>";
        echo "SQL Error: " . $mysql->error . "<hr>";
        exit();
    }

    //exxtracredit
//    if ($currentrow["device_id"] == 1) {
//
//        echo "<img src='imagejpg' alt='" . $currentrow["name"] . "' />";
//    }


    while ($currentrow = $results->fetch_assoc()) {
        echo "<h1>" . $currentrow["name"] . "</h1>";
        echo "<div class='details'>";
        echo "<p>Price: " . $currentrow["price"] . "</p>";
        echo "<p>Manufacturer: " . $currentrow["manufacturer"] . "</p>";
        echo "<p>System: " . $currentrow["system"] . "</p>";
        echo "<p>Type: " . $currentrow["type"] . "</p>";
        echo "</div>";
    }
    ?>
</div>
</body>
</html>
