<?php

if (empty($_REQUEST['device_name']) && $_REQUEST['manufacturername'] == "" && $_REQUEST['operatingsystem'] == "" && $_REQUEST['type'] == "") {
    header('Location: search.php');
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db);


?>

<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width:  600px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .num-results {
            margin: 20px 10px;
        }
        table {
            margin: auto;
            margin-bottom: 20px;
            width:  80%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #900;
            border-collapse: collapse;
            padding: 10px;
            text-align: center;
        }
        img {
            width: 100px;
        }
        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>

<body>

<div class="container">
    <h1>Mobile Device Database: Search Results</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <?php
    $sql = "SELECT * FROM devices, systems, types, manufacturers WHERE 1=1";
    $sql .= " AND name LIKE '%" . $_REQUEST['device_name'] . "%'";

    if($_REQUEST['manufacturername'] != "ALL") {
        $sql .= " AND manufacturer='" . $_REQUEST["manufacturername"] . "'";
    }
    if($_REQUEST['operatingsystem'] != "ALL") {
        $sql .= " AND system ='" . $_REQUEST["operatingsystem"] . "'";
    }
    if($_REQUEST['type'] != "ALL") {
        $sql .= " AND type ='" . $_REQUEST["type"] . "'";
    }

    $results = $mysql->query($sql);

    if(!$results) {
        echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
        echo "SQL Error: " . $mysql->error . "<hr>";
        exit();
    }

    echo "<div class='num-results'>Your results returned <strong>" . $results->num_rows . "</strong> results.</div>";

    if ($results->num_rows > 0) {
        echo "<table>";
        echo "<tr>";
        echo "<th>Name</th>";
        echo "<th>Price</th>";
        echo "<th>Manufacturer</th>";
        echo "<th>System</th>";
        echo "<th>Type</th>";
        echo "</tr>";

        while($currentrow = $results->fetch_assoc()) {
            echo "<tr>";
            echo "<td><a href='details.php?id=" . $currentrow['device_id'] . "'>" . $currentrow['name'] . "</a></td>";
            echo "<td>" . $currentrow['price'] . "</td>";
            echo "<td>" . $currentrow['manufacturer'] . "</td>";
            echo "<td>" . $currentrow['system'] . "</td>";
            echo "<td>" . $currentrow['type'] . "</td>";
            echo "</tr>";
        }
        echo "</table>";
    } else {
        echo "<div>No results found.</div>";
    }
    ?>
</div>

</body>

</html>
